Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708682 - dev-python/awscli: Bump to 1.17.13
Summary: dev-python/awscli: Bump to 1.17.13
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-08 07:56 UTC by Hanno Böck
Modified: 2020-03-31 11:53 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck gentoo-dev 2020-02-08 07:56:05 UTC
Latest upstream version is 1.17.13.

The version in the gentoo tree blocks updates of pyyaml (depends on "<dev-python/pyyaml-5.2.0"), the upstream version supports latest pyyaml.
Comment 1 Hanno Böck gentoo-dev 2020-02-15 11:35:58 UTC
The package has been bumped to 1.17.17, but the pyyaml version blocker is still there.
Comment 2 Thomas Deutschmann gentoo-dev Security 2020-02-15 12:52:14 UTC
That's not true yet.

At the moment, we have https://github.com/aws/aws-cli/blob/develop/setup.py#L31

In other words we only have <=5.1 and >=5.3 so <dev-python/pyyaml-5.2.0 will allow latest 5.1.x and >=5.3 is blocked following upstream.

Once https://github.com/aws/aws-cli/issues/4828 is resolved this will change.
Comment 3 Larry the Git Cow gentoo-dev 2020-03-31 11:53:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=070f87608556531a768024550b6bc52e083a8a4b

commit 070f87608556531a768024550b6bc52e083a8a4b
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-03-31 11:52:30 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-03-31 11:53:19 +0000

    dev-python/awscli: bump to v1.18.32
    
    Bug: https://bugs.gentoo.org/714866
    Closes: https://bugs.gentoo.org/708682
    Package-Manager: Portage-2.3.96, Repoman-2.3.22
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 dev-python/awscli/Manifest              |  1 +
 dev-python/awscli/awscli-1.18.32.ebuild | 56 +++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)